part of 'onboarding_bloc.dart';

abstract class OnboardingState extends Equatable {
  const OnboardingState();
  
  @override
  List<Object> get props => [];
}

class OnboardingInitial extends OnboardingState {
  final int currentIndex;
  const OnboardingInitial({this.currentIndex = 0});

  @override
  List<Object> get props => [currentIndex];
}

class OnboardingUpdate extends OnboardingState {
  final int currentIndex;
  const OnboardingUpdate(this.currentIndex);

  @override
  List<Object> get props => [currentIndex];
}

class OnboardingNavigateToLogin extends OnboardingState {}
